Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.action
Class SecureAction

    java.lang.Object
      net.sourceforge.pebble.web.action.Action
          net.sourceforge.pebble.web.action.SecureAction

Direct Known Subclasses:
  AboutBlogAction, AbstractFileAction, AbstractLogAction, AddBlogAction, AddBlogEntryAction, AddCategoryAction, AddRefererFiltersAction, AddStaticPageAction, AddUserAction, ChangePasswordAction, ClearMessagesAction, EditBlogEntryAction, EditCategoryAction, EditStaticPageAction, EditUserDetailsAction, EditUserPreferencesAction, ExportBlogAction, GarbageCollectAction, ManageBlogEntriesAction, ManageBlogEntryAction, ManageResponsesAction, ManageStaticPageAction, ManageUsersAction, PublishBlogEntryAction, ReindexBlogAction, ReloadBlogAction, RemoveCategoriesAction, RemoveRefererFiltersAction, RemoveStaticPagesAction, ResetPluginsAction, ResetThemeAction, RestoreThemeAction, SaveBlogEntryAction, SaveBlogPropertiesAction, SaveBlogSecurityAction, SaveCategoryAction, SavePebblePropertiesAction, SavePluginsAction, SaveStaticPageAction, SaveUserAction, SaveUserDetailsAction, SaveUserPreferencesAction, SendTrackBackAction, UtilitiesAction, ViewBlogPropertiesAction, ViewBlogsAction, ViewBlogSecurityAction, ViewCategoriesAction, ViewEmailSubscribersAction, ViewHelpAction, ViewLogSummaryAction, ViewMessagesAction, ViewPebblePropertiesAction, ViewPluginsAction, ViewRefererFiltersAction, ViewResponsesAction, ViewStaticPagesAction, ViewUnpublishedBlogEntriesAction, ViewUserAction, ViewUsersAction

    public abstract class SecureAction

extends Action

The superclass for all secure command/action components.

Author:
  Simon Brown

Constructor Summary
`SecureAction()`

Method Summary
`abstract java.lang.String[]` | `getRoles(HttpServletRequest request)` Gets a list of all roles that are allowed to access this action.

Methods inherited from class net.sourceforge.pebble.web.action.Action
`getModel, process, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecureAction

    public SecureAction()

Method Detail

### getRoles

    public abstract java.lang.String[] getRoles(HttpServletRequest request)

  Gets a list of all roles that are allowed to access this action.

  Parameters:
    `request` - the HttpServletRequest for this invocation
  Returns:
    an array of Strings representing role names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.